Network Security Perimeter Configurations - List
アカウントの NSP 構成の一覧を取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/networkSecurityPerimeterConfigurations?api-version=2024-10-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 2maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$ |
Cognitive Services アカウントの名前。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前では大文字と小文字が区別されません。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
構成の一覧が正常に取得されました。 |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
例
ListNetworkSecurityPerimeterConfigurations
要求のサンプル
応答のサンプル
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/networkSecurityPerimeterConfigurations",
"name": "networkSecurityPerimeterConfigurationName",
"type": "Microsoft.CognitiveServices/accounts/networkSecurityPerimeterConfigurations",
"properties": {
"provisioningState": "Succeeded",
"networkSecurityPerimeter": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.Network/networkSecurityPerimeters/perimeter",
"perimeterGuid": "00000000-0000-0000-0000-000000000000",
"location": "East US"
},
"resourceAssociation": {
"name": "associationName",
"accessMode": "Enforced"
},
"profile": {
"name": "profileName",
"accessRulesVersion": 1,
"accessRules": [
{
"name": "ruleName",
"properties": {
"direction": "Inbound",
"addressPrefixes": [
"148.0.0.0/8",
"152.4.6.0/24"
]
}
}
]
}
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Network |
リンクされたネットワーク セキュリティ境界に関する情報 |
|
Network |
ネットワーク セキュリティ境界アクセス規則 |
|
Network |
ネットワーク セキュリティ境界規則のプロパティ |
|
Network |
Cognitive Services アカウントの NSP 構成。 |
|
Network |
ネットワーク セキュリティ境界構成の関連付け情報 |
|
Network |
Cognitive Services アカウントの NSP 構成の一覧。 |
|
Network |
NSP 構成のプロパティ。 |
|
Network |
ネットワーク セキュリティ境界プロファイル情報 |
|
Nsp |
アクセス規則の方向 |
|
Provisioning |
|
|
Provisioning |
プロビジョニングの問題のプロパティ |
| Subscriptions |
受信規則のサブスクリプション |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
NetworkSecurityPerimeter
リンクされたネットワーク セキュリティ境界に関する情報
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾識別子 |
| location |
string |
リソースの場所 |
| perimeterGuid |
string |
リソースの GUID |
NetworkSecurityPerimeterAccessRule
ネットワーク セキュリティ境界アクセス規則
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
ネットワーク セキュリティ境界アクセス規則名 |
| properties |
ネットワーク セキュリティ境界アクセス規則のプロパティ |
NetworkSecurityPerimeterAccessRuleProperties
ネットワーク セキュリティ境界規則のプロパティ
| 名前 | 型 | 説明 |
|---|---|---|
| addressPrefixes |
string[] |
受信規則のアドレス プレフィックス |
| direction |
アクセス規則の方向 |
|
| fullyQualifiedDomainNames |
string[] |
送信規則の完全修飾ドメイン名 |
| networkSecurityPerimeters |
受信規則の NetworkSecurityPerimeters |
|
| subscriptions |
受信規則のサブスクリプション |
NetworkSecurityPerimeterConfiguration
Cognitive Services アカウントの NSP 構成。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
リソースの名前 |
| properties |
NSP 構成プロパティ。 |
|
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
NetworkSecurityPerimeterConfigurationAssociationInfo
ネットワーク セキュリティ境界構成の関連付け情報
| 名前 | 型 | 説明 |
|---|---|---|
| accessMode |
string |
リソース関連付けのアクセス モード |
| name |
string |
リソースの関連付けの名前 |
NetworkSecurityPerimeterConfigurationList
Cognitive Services アカウントの NSP 構成の一覧。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string |
結果の次のページを取得するためのリンク。 |
| value |
Cognitive Services アカウントの NSP 構成リスト結果の配列。 |
NetworkSecurityPerimeterConfigurationProperties
NSP 構成のプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| networkSecurityPerimeter |
リンクされたネットワーク セキュリティ境界に関する情報 |
|
| profile |
ネットワーク セキュリティ境界プロファイル情報 |
|
| provisioningIssues |
プロビジョニングの問題の一覧 |
|
| provisioningState |
string |
NetworkSecurityPerimeter 構成のプロビジョニング状態 |
| resourceAssociation |
ネットワーク セキュリティ境界構成の関連付け情報 |
NetworkSecurityPerimeterProfileInfo
ネットワーク セキュリティ境界プロファイル情報
| 名前 | 型 | 説明 |
|---|---|---|
| accessRules |
ネットワーク セキュリティ境界アクセス規則 |
|
| accessRulesVersion |
integer (int64) |
リソース プロファイルのアクセス 規則のバージョン |
| diagnosticSettingsVersion |
integer (int64) |
現在の診断設定のバージョン |
| enabledLogCategories |
string[] |
有効なログ カテゴリの一覧 |
| name |
string |
リソース プロファイルの名前 |
NspAccessRuleDirection
アクセス規則の方向
| 値 | 説明 |
|---|---|
| Inbound | |
| Outbound |
ProvisioningIssue
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
NSP プロビジョニングの問題の名前 |
| properties |
プロビジョニングの問題のプロパティ |
ProvisioningIssueProperties
プロビジョニングの問題のプロパティ
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
問題の説明 |
| issueType |
string |
問題の種類 |
| severity |
string |
問題の重大度 |
| suggestedAccessRules |
省略可能な配列、推奨されるアクセス規則 |
|
| suggestedResourceIds |
string[] (arm-id) |
問題を修復するために同じ境界に関連付けることができるリソースの ID。 |
Subscriptions
受信規則のサブスクリプション
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
サブスクリプションの完全修飾識別子 |